Create inventory attribute
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/inventory/attribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "on-hand"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/attribute"
payload = { "code": "on-hand" }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: 'on-hand'})
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "622786ae0bdb19221a24fb61",
"code": "on-hand"
}{
"message": "Invalid request payload or parameter"
}{
"message": "Entered code is a duplicated code"
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Inventory Attribute
Create inventory attribute
Creates a unique inventory attribute
POST
/
inventory
/
attribute
Create inventory attribute
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Attribute code. It's a unique code that is used to identify an attribute
Example:
"on-hand"
Was this page helpful?
⌘I
